summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-3.8.2.ebuild
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2024-01-26 06:12:52 +0100
committerMichał Górny <mgorny@gentoo.org>2024-01-26 06:39:13 +0100
commit419d42ab582e4aad13f59373bf432aa5eb130499 (patch)
treeba7971a5d304df7c4e48db8158f3d881befd32a2 /dev-python/python-utils/python-utils-3.8.2.ebuild
parentc2f88b4275860b50430bff769b502c38e9a778c6 (diff)
downloadgentoo-419d42ab582e4aad13f59373bf432aa5eb130499.tar.gz
gentoo-419d42ab582e4aad13f59373bf432aa5eb130499.tar.bz2
gentoo-419d42ab582e4aad13f59373bf432aa5eb130499.zip
dev-python/python-utils: Bump to 3.8.2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/python-utils/python-utils-3.8.2.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-3.8.2.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-3.8.2.ebuild b/dev-python/python-utils/python-utils-3.8.2.ebuild
new file mode 100644
index 0000000000000..8bb0898ed28b6
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.8.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="
+ https://github.com/WoLpH/python-utils/
+ https://pypi.org/project/python-utils/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+ _python_utils_tests/test_logger.py
+ python_utils/loguru.py
+)
+
+EPYTEST_DESELECT=(
+ # fragile
+ _python_utils_tests/test_time.py::test_timeout_generator
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}